Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.info
Class ContainerCapabilities

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.info.ContainerCapabilities

All Implemented Interfaces:
  CapabilitiesInfo

    public class ContainerCapabilities

extends java.lang.Object
implements CapabilitiesInfo

Version:
  $Revision: 7226 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`ContainerCapabilities(PortletMetaData portletMD)`

Method Summary
`java.util.Set` | `getAllLocales()` Retrieves all the locales supported by the associated Portlet.
`java.util.Set` | `getAllModes()` Retrieves all the portlet modes supported by the associated Portlet.
`java.util.Set` | `getAllWindowStates()` Retrieves all the window states supported by the associated Portlet.
`java.util.Set` | `getLocales(java.lang.String mimeType)` Retrieves the locales supported by the associated Portlet for the specified MIME type.
`java.util.Set` | `getMimeTypes()` Retrieves all the MIME types supported by the associated Portlet.
`java.util.Set` | `getModes(java.lang.String mimeType)` Retrieves the portlet modes supported by the associated Portlet for the specified MIME type.
`java.util.Set` | `getWindowStates(java.lang.String mimeType)` Retrieves the window states supported by the associated Portlet for the specified MIME type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerCapabilities

    public ContainerCapabilities(PortletMetaData portletMD)

Method Detail

### getMimeTypes

    public java.util.Set getMimeTypes()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the MIME types supported by the associated Portlet.

  Specified by:
    `getMimeTypes` in interface `CapabilitiesInfo`
  Returns:
    a Set of String representation of supported MIME types

### getAllModes

    public java.util.Set getAllModes()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the portlet modes supported by the associated Portlet.

  Specified by:
    `getAllModes` in interface `CapabilitiesInfo`
  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes

### getModes

    public java.util.Set getModes(java.lang.String mimeType)

  Description copied from interface: `CapabilitiesInfo`
  Retrieves the portlet modes supported by the associated Portlet for the specified MIME type.

  Specified by:
    `getModes` in interface `CapabilitiesInfo`
  Returns:
    a Set of `ModeInfo` reprensenting the supported portlet modes for the specified MIME type

### getAllWindowStates

    public java.util.Set getAllWindowStates()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the window states supported by the associated Portlet.

  Specified by:
    `getAllWindowStates` in interface `CapabilitiesInfo`
  Returns:
    a Set of `WindowStateInfo` reprensenting the supported window states

### getWindowStates

    public java.util.Set getWindowStates(java.lang.String mimeType)

  Description copied from interface: `CapabilitiesInfo`
  Retrieves the window states supported by the associated Portlet for the specified MIME type.

  Specified by:
    `getWindowStates` in interface `CapabilitiesInfo`
  Returns:
    a Set of `ModeInfo` reprensenting the supported window states for the specified MIME type

### getAllLocales

    public java.util.Set getAllLocales()

  Description copied from interface: `CapabilitiesInfo`
  Retrieves all the locales supported by the associated Portlet.

  Specified by:
    `getAllLocales` in interface `CapabilitiesInfo`
  Returns:
    the Set of supported `Locale`s

### getLocales

    public java.util.Set getLocales(java.lang.String mimeType)

  Description copied from interface: `CapabilitiesInfo`
  Retrieves the locales supported by the associated Portlet for the specified MIME type.

  Specified by:
    `getLocales` in interface `CapabilitiesInfo`
  Returns:
    a Set of supported `Locale`s for the specified MIME type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD